Subject: [Newsclips] IETF SYN-ACK Newspack 2021-08-09

From: "David Goldstein" <[email-masked]>
Date: Mon, 9 Aug 2021 22:49:36 +1000

The IETF SYN-ACK Newspack collects IETF-related items from a variety of news outlets and other online publications. They do not represent the views of the IETF and are not checked for factual accuracy.

**********************

IETF IN THE NEWS

**********************

More notes from IETF 111 by Geoff Huston

I’ve already scribed my thoughts on the DNS-related topics discussed at the July 2021 IETF 111 meeting. It may be surprising to the DNSphiles out there but there really are other topics that are discussed at IETF meetings not directly related to the DNS! These are some notes I took on the topic of current activities in some of the active IETF areas that are not DNS topics.

< <https://www.potaroo.net/ispcol/2021-08/ietf111-notdns.html> https://www.potaroo.net/ispcol/2021-08/ietf111-notdns.html>

< <https://blog.apnic.net/2021/08/06/more-notes-from-ietf-111/> https://blog.apnic.net/2021/08/06/more-notes-from-ietf-111/>

DNS at IETF 111 by Geoff Huston

IETF 111 was held virtually in July 2020. These are some notes I took on the topic of current activities in the area of the Domain Name System and its continuing refinement at IETF 111.

< <https://www.potaroo.net/ispcol/2021-08/ietf111-dns.html> https://www.potaroo.net/ispcol/2021-08/ietf111-dns.html>

DNS talk @ IETF 111 by Geoff Huston

The 111th meeting of the Internet Engineering Task Force (IETF 111) was held virtually in July 2021. These are some notes I took on the topic of current activities surrounding the Domain Name System (DNS) and its continuing refinement at IETF.

< <https://blog.apnic.net/2021/08/04/dns-talk-ietf-111/> https://blog.apnic.net/2021/08/04/dns-talk-ietf-111/>

Vint Cerf's Interplanetary ambitions: A delay-tolerant networking discussion with the father of the Internet

... Are they using DTN? VC: I do not think that they are, I could be wrong. We have not had engagement with the Chinese space agency. The only ones that we've worked with closely are ESA, JAXA, and the Korean space agency. [China] are, I believe, participants in CCSDS - I honestly have not gone to look carefully and see if they're on the roster. They certainly have the credibility to be on. And as a member of the UN, they certainly would be welcome. I don't know if they've been active, but they certainly have access to everything we've done because we made it all public. The software is available on GitHub and the documentation is public. The work that's gone on in the IETF is public. It's all easily discovered. And so we made no attempt to inhibit access to any of that information.

< <https://www.datacenterdynamics.com/en/analysis/vint-cerfs-interplanetary-ambitions/> https://www.datacenterdynamics.com/en/analysis/vint-cerfs-interplanetary-ambitions/>

Internet Society Announces New Members of Board of Trustees

The Internet Society, a global nonprofit organization that promotes the development and use of an open, globally connected, secure, and trustworthy Internet, today announced that five new members have been seated on its Board of Trustees. The Internet Society Board of Trustees is elected or appointed by chapters, organization members, the Internet Engineering Task Force (IETF), and the board. The results of the 2021 Board elections and appointments earlier this year are:

< <https://www.internetsociety.org/news/press-releases/2021/internet-society-announces-new-members-of-board-of-trustees/> https://www.internetsociety.org/news/press-releases/2021/internet-society-announces-new-members-of-board-of-trustees/>

Attention, vous êtes sur écoute ! Voici comment sécuriser vos communications et vos données sur Internet ! [Be careful, you are being listened to! Here's how to secure your communications and data on the Internet!]

... SSL était le protocole de sécurité cryptographique le plus largement utilisé pour assurer la sécurité des communications sur Internet avant les années 2000. Il a été remplacé par TLS dont le protocole TLS 1.3 est aujourd’hui la dernière version en date, finalisée par l’Internet Engineering Task Force (IETF) en 2018. Toutefois, les dernières versions TLS 1.0 et 1.1 n’étant plus prises en charge depuis fin 2020, les entreprises et hébergeurs qui souhaitent garantir la sécurité de leurs données n’ont pas d’autre choix que de passer à la version TLS 1.2 dans tous leurs déploiements.

< <http://globbsecurity.fr/attention-vous-etes-sur-ecoute-voici-comment-securiser-vos-communications-et-vos-donnees-sur-internet-47285/> http://globbsecurity.fr/attention-vous-etes-sur-ecoute-voici-comment-securiser-vos-communications-et-vos-donnees-sur-internet-47285/>

Professor do Ifal tem artigo premiado e vai participar de evento científico na Tailândia [Ifal professor has award-winning article and will attend scientific event in Thailand]

Os especialistas do mundo em tecnologias da internet têm reunião marcada em março de 2022 em Bangkok, na Tailândia, e o evento deve contar com a participação do professor Felipe Alencar do Instituto Federal de Alagoas (Ifal), Campus Arapiraca. O docente foi premiado pelo melhor artigo do Workshop Pré-IETF/IRTF, atividade que estava na programação do Congresso da Sociedade Brasileira de Computação deste ano.

< <https://tribunahoje.com/noticias/educacao/2021/08/05/professor-do-ifal-tem-artigo-premiado-e-vai-participar-de-evento-cientifico-na-tailandia/> https://tribunahoje.com/noticias/educacao/2021/08/05/professor-do-ifal-tem-artigo-premiado-e-vai-participar-de-evento-cientifico-na-tailandia/>

Sicherheitsrelevanter Bug in net-Bibliothek von Go und Rust [Security-related bug in the Go and Rust net library]

... Mit dieser Uneindeutigkeit und der Darstellung mit führenden Nullen befasst sich auch ein Dokument der IETF. Dort werden die uneindeutigen Adressen und auch die Lösung, oktalen Adresen Nullen voranzustellen, zwar kritisiert, sie seien aber "far too widespread to ignore." Als Entwickler einer IPv4-Bibliothek muss man sich um diesen Sonderfall also kümmern.

< <https://www.heise.de/news/Sicherheitsrelevanter-Bug-in-net-Bibliothek-von-Go-und-Rust-6157969.html> https://www.heise.de/news/Sicherheitsrelevanter-Bug-in-net-Bibliothek-von-Go-und-Rust-6157969.html>

Planung und Koordination von Security-Konzepten: Was macht eigentlich ein IT-Sicherheitsarchitekt? [Planning and coordination of security concepts: What does an IT security architect actually do?]

... In fachlicher Hinsicht sollte ein IT-Sicherheitsarchitekt die verbreitetsten Netzwerktechnologien kennen, sich intensiv mit Cyber Security auseinandersetzen, sowohl der IT Security als auch der organisatorischen Security. Da von Standardisierungsgremien (z.B. NIST = National Institute of Standards and Technology, Bundesbehörde USA) oder Communities wie der OSCD (Open Security Collaborative Development) oder The Internet Engineering Task Force (IETF) kontinuierlich Neues publiziert wird, gehören diese zu seinen wichtigsten Informationsquellen. Ohne über aktuelle Protokoll- und Security-Standards, Tools und Produkte auf dem Laufenden zu sein, kann er weder Risiken exakt einschätzen, noch seinem Kunden eine wirkungsvolle Sicherheitsarchitektur anbieten.

< <https://www.security-insider.de/was-macht-eigentlich-ein-it-sicherheitsarchitekt-a-1043933/> https://www.security-insider.de/was-macht-eigentlich-ein-it-sicherheitsarchitekt-a-1043933/>

Het World Wide Web bestaat sinds 40 jaar [The World Wide Web has been around for 40 years]

... Het internet is een wereldwijd netwerk dat bestaat uit vele vrijwillig met elkaar verbonden autonome netwerken. Het functioneert zonder een centraal bestuursorgaan. De technische onderbouwing en standaardisering van de kernprotocollen (IPv4 en IPv6) is een activiteit van de Internet Engineering Task Force (IETF), een non-profitorganisatie van losjes aangesloten internationale deelnemers waarbij iedereen zich kan aansluiten door technische expertise bij te dragen.

< <https://www.amstelveenweb.com/nieuws-Het-World-Wide-Web-bestaat-sinds-40-jaar&newsid=376588305> https://www.amstelveenweb.com/nieuws-Het-World-Wide-Web-bestaat-sinds-40-jaar&newsid=376588305>

Cina, i cento anni del Partito comunista tra sviluppo digitale e implicazioni geopolitiche [China, the hundred years of the Communist Party between digital development and geopolitical implications]

... Da sempre, le reti di telefonia sono legate allo sviluppo della rete internet. Del resto, le due infrastrutture sono molto interdipendenti. È per via di questa commistione fra le due tecnologie che alcuni degli attori più importanti del mondo della telefonia sono prominenti nella standardizzazione internet. È il caso di Ericsson tra le aziende europee, ma anche di Huawei – entrambe aziende chiave nello sviluppo di standard di internet presso l’Internet Engineering Task Force (IETF).

< <https://www.buongiornoslovacchia.sk/index.php/archives/114957> https://www.buongiornoslovacchia.sk/index.php/archives/114957>

悬镜灵脉AI渗透测试平台通过IPv6 Ready Logo认证 [Xuanjing Lingmai AI penetration test platform passed IPv6 Ready Logo certification]

近日，北京安普诺信息技术有限公司旗下悬镜灵脉AI渗透测试平台在下一代互联网国家工程中心－全球IPv6测试中心正式通过IPv6 Ready核心协议Phase－2测试，并荣获由国际组织IPv6 Forum颁发的IPv6 Ready Logo Phase－2认证证书（Logo ID：02－C－002226）。这标志着上述产品的IPv6核心协议实现已全面符合IETF RFC相关标准，其一致性和互通性得到了权威验证。

< <https://www.ofweek.com/ai/2021-08/ART-201700-8140-30515819.html> https://www.ofweek.com/ai/2021-08/ART-201700-8140-30515819.html>

腾讯网启用新域名“QQ.中国” 专家解析背后三重意义 [Tencent.com launched the new domain name "QQ.China" expert analysis behind the three meanings]

... 互联网名称与数字地址分配机构(ICANN)ccNSO理事、国际互联网工程任务组(IETF)EXTRA工作组联合主席姚健康博士认为，中文域名是用中文开启互联网的钥匙，非常适合国人使用。从文化角度来讲，中文域名是在互联网上重要的文化标识，有利于传承和弘扬中国文化。从安全角度来讲，“。中国”顶级域名是我国在互联网上的中文国家顶级域名，由我国全权管理，安全有保障。从技术角度来讲，中文域名技术符合IETF国际技术标准，全球畅通。

< <http://finance.eastmoney.com/a/202108062034839991.html> http://finance.eastmoney.com/a/202108062034839991.html>

< <http://news.china.com.cn/txt/2021-08/09/content_77681567.htm> http://news.china.com.cn/txt/2021-08/09/content_77681567.htm>

“数字乡村振兴 重塑百强品牌”联合行动工程任务组第一次会议在京召开 [The first meeting of the Joint Action Engineering Task Force on "Digital Village Revitalization and Rebranding of the Top 100" was held in Beijing]

... 乡村振兴是国家战略，世纪互联旗下公益组织-新互联数字经济创新共同体是这个联合行动的倡导者和发起单位。元道先生指出，共同体将以武夷山和武夷岩茶为切入点和示范，全力打造数字乡村振兴的“创新行动范式”。联合行动将借鉴IETF(国际互联网工程任务组)的机制和精神，以代码和共识(Rough Consensus and Running Code)为基石，以RFC (Request For Comments，一系列以编号排定的开放文件)为数字赋能的首期交付成果，并邀请国家地理标志产品的利益关联方，共同建设一个面向全球、以使命、愿景和共识为驱动、新一代的数字经济开放生态平台。

< <http://www.dostor.com/p/76771.html> http://www.dostor.com/p/76771.html>

**********************

SECURITY & PRIVACY

**********************

Artificial Intelligence: Next Frontier is Cybersecurity

Artificial intelligence (AI) and machine learning will play a role in protecting the United States from malicious cyber actors. NSA’s Jason Wang, technical director for the Computer and Analytic Sciences Research Group, forecasted a future in which AI will support the Intelligence Community’s (IC) efforts to secure and defend our Nation’s networks.

< <https://www.nsa.gov/News-Features/Feature-Stories/Article-View/Article/2702241/artificial-intelligence-next-frontier-is-cybersecurity/> https://www.nsa.gov/News-Features/Feature-Stories/Article-View/Article/2702241/artificial-intelligence-next-frontier-is-cybersecurity/>

HTTP/2 Implementation Errors Exposing Websites to Serious Risks

Organizations that don't implement end-to-end HTTP/2 are vulnerable to attacks that redirect users to malicious sites and other threats, security researcher reveals at Black Hat USA.

< <https://www.darkreading.com/application-security/http-2-implementation-errors-exposing-websites-to-serious-risks> https://www.darkreading.com/application-security/http-2-implementation-errors-exposing-websites-to-serious-risks>

Join the Ad Hoc Working Group on EU Cybersecurity Market

Qualified EU cybersecurity market experts are hereby invited to respond to a call for expression of interest for an Ad Hoc Working Group on the EU Cybersecurity Market.

< <https://www.enisa.europa.eu/news/enisa-news/join-the-ad-hoc-working-group-on-eu-cybersecurity-market> https://www.enisa.europa.eu/news/enisa-news/join-the-ad-hoc-working-group-on-eu-cybersecurity-market>

Artificial Intelligence: Next Frontier is Cybersecurity

Artificial intelligence (AI) and machine learning will play a role in protecting the United States from malicious cyber actors. NSA’s Jason Wang, technical director for the Computer and Analytic Sciences Research Group, forecasted a future in which AI will support the Intelligence Community’s (IC) efforts to secure and defend our Nation’s networks.

< <https://www.nsa.gov/News-Features/Feature-Stories/Article-View/Article/2702241/artificial-intelligence-next-frontier-is-cybersecurity/> https://www.nsa.gov/News-Features/Feature-Stories/Article-View/Article/2702241/artificial-intelligence-next-frontier-is-cybersecurity/>

us: CISA Releases New Cyber Training Guide

The Cybersecurity and Infrastructure Security Agency (CISA) released a new downloadable Cybersecurity Workforce Training Guide today to assist future and current cybersecurity and information technology (IT) professionals chart a successful career path. This guide is a one-stop-shop for information and resources to help professionals start and/or advance their careers in cybersecurity through training.

< <https://www.cisa.gov/news/2021/08/06/cisa-releases-new-cyber-training-guide> https://www.cisa.gov/news/2021/08/06/cisa-releases-new-cyber-training-guide>

us: CISA Launches New Joint Cyber Defense Collaborative

The Cybersecurity and Infrastructure Security Agency (CISA) announced the standup of the Joint Cyber Defense Collaborative (JCDC) today, a new agency effort to lead the development of cyber defense operations plans, and to execute those plans in coordination with partners from the federal interagency, private sector, and state, local, tribal, territorial (SLTT) government stakeholders to drive down risk before an incident and to unify defensive actions should an incident occur.

< <https://www.cisa.gov/news/2021/08/05/cisa-launches-new-joint-cyber-defense-collaborative> https://www.cisa.gov/news/2021/08/05/cisa-launches-new-joint-cyber-defense-collaborative>

Human Security Launches Dan Kaminsky Fellowship

Human Security has established the Dan Kaminsky Fellowship in honor of its late co-founder and chief scientist.

< <https://www.darkreading.com/threat-intelligence/human-security-launches-dan-kaminsky-fellowship> https://www.darkreading.com/threat-intelligence/human-security-launches-dan-kaminsky-fellowship>

HUMAN Honors Late Co-Founder and Chief Scientist with the Dan Kaminsky Fellowship

HUMAN Security, Inc. (formerly White Ops), a cybersecurity company that protects enterprises from bot attacks to keep digital experiences human, today announced the establishment of the Dan Kaminsky Fellowship in honor of its late co-founder and chief scientist.

< <https://www.humansecurity.com/newsroom/human-honors-late-co-founder-and-chief-scientist-with-the-dan-kaminsky-fellowship> https://www.humansecurity.com/newsroom/human-honors-late-co-founder-and-chief-scientist-with-the-dan-kaminsky-fellowship>

**********************

INTERNET OF THINGS

**********************

The Internet of Things Is a Lot More Than Just Sensors

The Internet of Things (IoT) includes a diverse set of connected systems working in perfect harmony. Several people may incorrectly define IoT technology as nothing more than a series of sensors linked by communication devices. The tendency to view IoT in a unidimensional way is detrimental to understanding the working of such an incredible concept.

< <https://www.bbntimes.com/science/the-internet-of-things-is-a-lot-more-than-just-sensors> https://www.bbntimes.com/science/the-internet-of-things-is-a-lot-more-than-just-sensors>

Vodafone increases IoT network footprint

With the ever-growing rise of the Internet of Things (IoT), and 5G opening up the potential of even more connected devices, Vodafone continues to build its IoT coverage footprint to support New Zealand businesses as they seek productivity and operational benefits.

< <https://futurefive.co.nz/story/vodafone-increases-iot-network-footprint> https://futurefive.co.nz/story/vodafone-increases-iot-network-footprint>

**********************

NEW TRANSPORT PROTOCOLS

**********************

Dissecting the performance of production QUIC

Content Delivery Network (CDN) administrators are often faced with a fundamental question: “Should I adopt a new shiny protocol or should I continue using a trusted and reliable protocol?” This has especially been true with the development, release, and standardization of QUIC.

< <https://blog.apnic.net/2021/08/02/dissecting-the-performance-of-production-quic/> https://blog.apnic.net/2021/08/02/dissecting-the-performance-of-production-quic/>

Don't rush to adopt QUIC – it's a slog to make it faster than TCP

Quick UDP Internet Connections (QUIC), the alternative to Transmission Control Protocol advanced as a fine way to speed up web traffic, struggles to deliver that outcome without considerable customisation.

< <https://www.theregister.com/2021/08/04/dissecting_performance_of_production_quic/> https://www.theregister.com/2021/08/04/dissecting_performance_of_production_quic/>

Quic ist schwer zu optimieren [Quic is difficult to optimise]

Eine Untersuchung von Quic im Produktiveinsatz zeigt: Die Vorteile des Protokolls sind wohl weniger wichtig als die Frage, wer es einsetzt.

< <https://www.golem.de/news/statt-tcp-quic-ist-schwer-zu-optimieren-2108-158697.html> https://www.golem.de/news/statt-tcp-quic-ist-schwer-zu-optimieren-2108-158697.html>

Decrypting TLS traffic with PolarProxy

PolarProxy is a transparent TLS proxy that outputs decrypted TLS traffic as PCAP files. PolarProxy doesn’t interfere with the tunnelled data in any way, it simply takes the incoming TLS stream, decrypts it, re-encrypts it and forwards it to the destination. Because of this, PolarProxy can be used as a generic TLS decryption proxy for just about any protocol that uses TLS encryption, including HTTPS, HTTP/2, DoH, DoT, FTPS, SMTPS, IMAPS, POP3S and SIP-TLS.

< <https://blog.apnic.net/2021/08/03/decrypting-tls-traffic-with-polarproxy/> https://blog.apnic.net/2021/08/03/decrypting-tls-traffic-with-polarproxy/>

**********************

OTHERWISE NOTEWORTHY

**********************

Has a Technical Standard Changed Your Life? Enter this Video Contest

IEEE 802, IEEE 1547, IEEE 11073. These might seem like just a bunch of letters and numbers, but they are technical standards that have impacted our lives.

< <https://spectrum.ieee.org/has-a-technical-standard-changed-your-life-enter-this-video-contest> https://spectrum.ieee.org/has-a-technical-standard-changed-your-life-enter-this-video-contest>

World-Record Data Transmission Speed Smashed

Researchers at Japan's National Institute of Information and Communications Technology (NICT) in Tokyo have almost doubled the previous long-haul data transmission speed record of 172 Tb/s established by NICT and others in April 2020. The researchers recently presented their results at the International Conference on Optical Fiber Communications.

< <https://spectrum.ieee.org/world-record-data-transmission-speed-smashed> https://spectrum.ieee.org/world-record-data-transmission-speed-smashed>

------

David Goldstein

email:  <mailto:[email-masked]> [email-masked]

web:  <http://goldsteinreport.com/> http://goldsteinreport.com/

Twitter:  <https://twitter.com/goldsteinreport> https://twitter.com/goldsteinreport

phone: +61 418 228 605 - mobile; +61 2 9663 3430 - office/home